commit:     1c89397aee8d374f895f31bc9c728c95cf3ebe85
Author:     Chris Mayo <aklhfex <AT> gmail <DOT> com>
AuthorDate: Wed Feb 28 20:22:36 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Mar  4 21:29:53 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1c89397a

dev-util/geany-plugins: version bump to 1.33

Package-Manager: Portage-2.3.19, Repoman-2.3.6
Closes: https://github.com/gentoo/gentoo/pull/7322

 dev-util/geany-plugins/Manifest                  |   1 +
 dev-util/geany-plugins/geany-plugins-1.33.ebuild | 136 +++++++++++++++++++++++
 2 files changed, 137 insertions(+)

diff --git a/dev-util/geany-plugins/Manifest b/dev-util/geany-plugins/Manifest
index 6c9cabd6dd4..dd89b5630af 100644
--- a/dev-util/geany-plugins/Manifest
+++ b/dev-util/geany-plugins/Manifest
@@ -1,3 +1,4 @@
 DIST geany-plugins-1.30.tar.gz 4469990 BLAKE2B 
3cb8434765667814dc95227a82bdf204b2f918c951de8d5d9b56549c3fc343e1fe1c3e225d9f907da6b3227440dbdad09d0318d2738c213640a4629e9f7b42fe
 SHA512 
11dc44215aaa369831c249ef84b5dd0ee7eecdfbbf4707fc6165d78201e9e755447463c171ac6c8b2bc70df28a97b23762073ab9b31f7c33285d4728089da807
 DIST geany-plugins-1.31.tar.gz 4547472 BLAKE2B 
e570ccd2ab469fb251d17cd9a43bc4766189bcafa83a516e5960259a961378792bed061ea4b6d0a9748a5db5f8e8c60e9091a8e221c67d83afe8f51192c5a61b
 SHA512 
73d48b276c93211c6ebc726b24726e7669184d8951d5d29662cb8144c04a239ef8fb621f91b7798720bbdf319a09e35efcaee1535125697838552bd0b1e47bc7
 DIST geany-plugins-1.32.tar.gz 4655759 BLAKE2B 
afef1fd304b36daf4da5bd2a753c3de2c3c94d4274716fe726afc4164d98645f3f2436b306b894bb4245d86ee0782058b0181655d42764421b2d24c3e9e4c79d
 SHA512 
0284aa28820361f419a4ca000a8781bc044e112732ea6be7e511841c18d075eceef4abcabc1153ba9ff8229e529d3e44f6aacdc668927323f2d78bb2f8897a06
+DIST geany-plugins-1.33.tar.gz 4671123 BLAKE2B 
33471215480597b34e2733b7dc292e94ff12985b645fda76b2e25492573bb866766a3ea5a4598c4f643e9528f8062ffb9bf6ccabbb9be04aecbf23650d9c776d
 SHA512 
d046eb0b7bd3c704b62c84b05564b973203ddabf6c09b94bf3008955735d672077bff1a7cda27d4eba97824231483f3e64b3b0f0234a97a1a2727d535fb28718

diff --git a/dev-util/geany-plugins/geany-plugins-1.33.ebuild 
b/dev-util/geany-plugins/geany-plugins-1.33.ebuild
new file mode 100644
index 00000000000..4115b2f8d7b
--- /dev/null
+++ b/dev-util/geany-plugins/geany-plugins-1.33.ebuild
@@ -0,0 +1,136 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+
+inherit python-single-r1 vala
+
+DESCRIPTION="A collection of different plugins for Geany"
+HOMEPAGE="https://plugins.geany.org";
+SRC_URI="https://plugins.geany.org/${PN}/${P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+IUSE="gtk3 ctags debugger enchant git gpg gtkspell lua multiterm nls 
pretty-printer python scope soup"
+REQUIRED_USE="
+       gtk3? ( !debugger !multiterm !python !scope )
+       python? ( ${PYTHON_REQUIRED_USE} )
+"
+
+COMMON_DEPEND="
+       >=dev-util/geany-1.32[gtk3=]
+       dev-libs/glib:2
+       gtk3? ( x11-libs/gtk+:3 )
+       !gtk3? ( x11-libs/gtk+:2 )
+       ctags? ( dev-util/ctags )
+       debugger? ( x11-libs/vte:0 )
+       enchant? ( app-text/enchant )
+       git? ( dev-libs/libgit2:= )
+       gpg? ( app-crypt/gpgme:1= )
+       gtkspell? (
+               gtk3? ( app-text/gtkspell:3= )
+               !gtk3? ( app-text/gtkspell:2 )
+               )
+       lua? ( dev-lang/lua:0= )
+       multiterm? (
+               $(vala_depend)
+               >=x11-libs/vte-0.28:0
+               )
+       pretty-printer? ( dev-libs/libxml2:2 )
+       python? (
+               dev-python/pygtk[${PYTHON_USEDEP}]
+               ${PYTHON_DEPS}
+               )
+       scope? ( x11-libs/vte:0 )
+       soup? ( net-libs/libsoup:2.4 )
+"
+RDEPEND="${COMMON_DEPEND}
+       scope? ( sys-devel/gdb )
+"
+DEPEND="${COMMON_DEPEND}
+       nls? ( sys-devel/gettext )
+       virtual/pkgconfig
+"
+
+pkg_setup() {
+       use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+       default
+
+       use multiterm && vala_src_prepare
+}
+
+src_configure() {
+       local myeconfargs=(
+               --disable-cppcheck
+               --disable-extra-c-warnings
+               $(use_enable nls)
+               --enable-utilslib
+               # Plugins
+               --enable-addons
+               --enable-autoclose
+               --enable-automark
+               --enable-codenav
+               --enable-commander
+               --enable-defineformat
+               --enable-geanyextrasel
+               --enable-geanyinsertnum
+               --enable-geanymacro
+               --enable-geanyminiscript
+               --enable-geanynumberedbookmarks
+               --enable-geanyprj
+               --enable-geanyvc $(use_enable gtkspell)
+               --enable-keyrecord
+               --enable-latex
+               --enable-lineoperations
+               --enable-lipsum
+               --enable-overview
+               --enable-pairtaghighlighter
+               --enable-pohelper
+               --enable-projectorganizer
+               --enable-sendmail
+               --enable-shiftcolumn
+               --enable-tableconvert
+               --enable-treebrowser
+               --enable-workbench
+               --enable-xmlsnippets
+               $(use_enable debugger)
+               $(use_enable ctags geanyctags)
+               $(use_enable !gtk3 geanydoc)
+               $(use_enable lua geanylua)
+               $(use_enable gpg geanypg)
+               $(use_enable python geanypy)
+               $(use_enable soup geniuspaste)
+               $(use_enable git gitchangebar)
+               $(use_enable multiterm)
+               $(use_enable pretty-printer)
+               $(use_enable scope)
+               $(use_enable enchant spellcheck)
+               # Having updatechecker… when you’re using a package manager?
+               $(use_enable soup updatechecker)
+               # GeanyGenDoc requires ctpl which isn’t yet in portage
+               --disable-geanygendoc
+               # Require obsolete and vulnerable webkit-gtk versions
+               --disable-devhelp
+               --disable-markdown --disable-peg-markdown
+               --disable-webhelper
+       )
+
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       default
+
+       find "${D}" -name '*.la' -delete || die
+
+       # make installs all translations if LINGUAS is empty
+       if [[ -z "${LINGUAS-x}" ]]; then
+               rm -r "${ED%/}/usr/share/locale/" || die
+       fi
+}

Reply via email to